/**
  Sample SourceCode For NE-USB

  @Company
	Patlite Corporation

  @File Name
	patlite.h

  @Summary
	This file defines the functions to control NE-USB.

  @Description
	It describes how to turn on the LED and blow the buzzer of NE-USB.

*/
#include <stdint.h>

typedef enum {
	LED_COLOR_OFF,
	LED_COLOR_RED,
	LED_COLOR_GREEN,
	LED_COLOR_YELLOW,
	LED_COLOR_BLUE,
	LED_COLOR_PURPLE,
	LED_COLOR_CYAN,
	LED_COLOR_WHITE
} LED_COLORS;

typedef enum {
	LED_PATTERN_OFF,
	LED_PATTERN_CONTINUOUS,
	LED_PATTERN_NO1,
	LED_PATTERN_NO2,
	LED_PATTERN_NO3,
	LED_PATTERN_NO4,
	LED_PATTERN_NO5,
	LED_PATTERN_NO6
} LED_PATTERNS;

typedef enum {
	BUZZER_PATTERN_OFF,
	BUZZER_PATTERN_CONTINUOUS,
	BUZZER_PATTERN_NO1,
	BUZZER_PATTERN_NO2,
	BUZZER_PATTERN_NO3,
	BUZZER_PATTERN_NO4,
	BUZZER_PATTERN_NO5,
	BUZZER_PATTERN_NO6
} BUZZER_PATTERNS;

int patlite_lights( LED_COLORS color, LED_PATTERNS ptn );
int patlite_buzzer( BUZZER_PATTERNS ptn );
int patlite_set( uint8_t *buf );
int patlite_device_open ( void );
int patlite_device_close ( void );
int patlite_init( void );

